GET api/Dashboard/GetDashboardOpenNonInjuryCase?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfDashboardOpenNonInjuryCaseDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of DashboardOpenNonInjuryCaseDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CaseNo": 1,
"EmployeeId": "sample string 2",
"CorporationCode": "sample string 3",
"WLCode": "sample string 4",
"FirstName": "sample string 5",
"LastName": "sample string 6",
"DOB": "2026-06-20T12:53:41.528371-07:00",
"CorporationName": "sample string 7",
"WorkLocationName": "sample string 8",
"DateReported": "2026-06-20T12:53:41.528371-07:00",
"PendingClinicalPathway": 1,
"TotalClinicalPathwayCount": 1,
"EccCaseTypeId": 1
},
{
"CaseNo": 1,
"EmployeeId": "sample string 2",
"CorporationCode": "sample string 3",
"WLCode": "sample string 4",
"FirstName": "sample string 5",
"LastName": "sample string 6",
"DOB": "2026-06-20T12:53:41.528371-07:00",
"CorporationName": "sample string 7",
"WorkLocationName": "sample string 8",
"DateReported": "2026-06-20T12:53:41.528371-07:00",
"PendingClinicalPathway": 1,
"TotalClinicalPathwayCount": 1,
"EccCaseTypeId": 1
}
],
"totalCount": 3
}